Use this API to update an existing App Rule.
Resource URL
https://<subdomain>.onelogin.com/api/2/apps/:app_id/rules/:idHeader Parameters
Authorization required string | Set to Set The access token must have been generated using an API credential pair created using the scope required to call this API. This API can be called using any one of the following scopes: |
Content-Type required string | Set to application/json. |
Resource Parameter
app_id required integer | The id of the application that where the rules apply. |
id required integer | Set to the |
Request Parameters
Many of the search tools described in our Getting Started documentation can be applied to your parameters, allowing you to fine-tune your results.
| name required | The name of the rule. | String |
| enabled required | Indicates if the rule is enabled or not. | Boolean |
| match required | Indicates how conditions should be matched.
| String |
| position required | Indicates the order of the rule. When null this will default to last position. | Integer |
| conditions required | An array of conditions that the user must meet in order for the mapping to be applied.
| Array |
| actions required | An array of actions that will be applied to the users that are matched by the conditions.
| Array |
Sample Request Body
{
"name": "Suspend users after 120 days inactive",
"match": "all",
"enabled": true,
"position": 1,
"conditions": [
{
"source": "last_login",
"operator": ">",
"value": "120"
}
],
"actions": [
{
"action": "set_status",
"value": "2"
}
]
}
```html
<h2>Sample Responses</h2>
<div class="tab-group">
<ul class="tab-links">
<li class="t-link status-200 active" data-tab="1">200 OK</li>
<li class="t-link status-401" data-tab="2">401 Unauthorized</li>
<li class="t-link status-422" data-tab="3">422 Unprocessable Entity</li>
</ul>
<div class="tab-views">
<div class="t-view active" data-tab="1">
```json
{
"id": 1022697
}